org.apache.hadoop.crypto.key.kms

## Class KMSClientProvider.KMSTokenRenewer

- java.lang.Object
- - org.apache.hadoop.security.token.TokenRenewer
  - - org.apache.hadoop.crypto.key.kms.KMSClientProvider.KMSTokenRenewer

- Enclosing class:
    org.apache.hadoop.crypto.key.kms.KMSClientProvider

      public static class KMSClientProvider.KMSTokenRenewer
      extends TokenRenewer

  The KMS implementation of `TokenRenewer`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KMSTokenRenewer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel(Token<?> token, Configuration conf)` Cancel the given token
    `boolean` | `handleKind(Text kind)` Does this renewer handle this kind of token?
    `boolean` | `isManaged(Token<?> token)` Is the given token managed? Only managed tokens may be renewed or cancelled.
    `long` | `renew(Token<?> token, Configuration conf)` Renew the given token.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KMSTokenRenewer

          public KMSTokenRenewer()

  - ### Method Detail

    - #### handleKind

          public boolean handleKind(Text kind)

      Description copied from class: `TokenRenewer`
      Does this renewer handle this kind of token?
      Specified by:
        `handleKind` in class `TokenRenewer`
      Parameters:
        `kind` - the kind of the token
      Returns:
        true if this renewer can renew it

    - #### isManaged

          public boolean isManaged(Token<?> token)
                            throws IOException

      Description copied from class: `TokenRenewer`
      Is the given token managed? Only managed tokens may be renewed or cancelled.
      Specified by:
        `isManaged` in class `TokenRenewer`
      Parameters:
        `token` - the token being checked
      Returns:
        true if the token may be renewed or cancelled
      Throws:
        `IOException`

    - #### renew

          public long renew(Token<?> token,
                            Configuration conf)
                     throws IOException

      Description copied from class: `TokenRenewer`
      Renew the given token.
      Specified by:
        `renew` in class `TokenRenewer`
      Returns:
        the new expiration time
      Throws:
        `IOException`

    - #### cancel

          public void cancel(Token<?> token,
                             Configuration conf)
                      throws IOException

      Description copied from class: `TokenRenewer`
      Cancel the given token
      Specified by:
        `cancel` in class `TokenRenewer`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.